Get bank account details
curl --request GET \
--url https://staging.api.mavapay.co/api/v1/bankaccount \
--header 'X-API-KEY: <api-key>'import requests
url = "https://staging.api.mavapay.co/api/v1/bankaccount"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://staging.api.mavapay.co/api/v1/bankaccount', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "ok",
"data": [
{
"bankName": "KUDA MICROFINANCE BANK",
"bankCode": "090267",
"bankAccountNumber": "0123456789",
"bankAccountName": "Satoshi Nakamoto",
"currency": "NGN",
"walletId": "d1614a76-9c7f-4111-98a7-43199f307e5b-123456789"
}
]
}{
"message": "<string>",
"status": "error"
}Bank Account
Get bank account details
Returns all your saved bank accounts for a given currency. The bank account details used to make payouts to your customers.
GET
/
bankaccount
Get bank account details
Authorizations
ApiKeyAuthbearerAuth
Query Parameters
The wallet ID to get the bank account for (optional)
The currency to get the bank account for (optional). Only NGN is supported at the moment.
Available options:
NGN ⌘I
